module ActiveAttack
  module PlaybooksHelper
    def attack_pattern_class(phase, row)
      if @playbook.attack_patterns.collect(&:name).include? @playbook.attack_pattern_matrix(phase.name, row)
        "used"
      end
    end

    def campaign_list(phase, row)
      @playbook.attack_pattern_campaign_list(phase, row)
    end

    def attack_pattern_target(phase, row)
      if @playbook.attack_patterns.collect(&:name).include? @playbook.attack_pattern_matrix(phase.name, row)
        "matrix.used"
      else
        "matrix.notused"
      end
    end

    def attack_pattern_link(phase, row)
      attack_pattern = @playbook.attack_pattern_matrix(phase.name, row)
      if attack_pattern
        link_to attack_pattern.name, stix.attack_pattern_path(attack_pattern)
      end
    end

    def attack_pattern_info(phase, row)
      attack_pattern = @playbook.attack_pattern_matrix(phase.name, row)
      if attack_pattern
        "<span  ='/attack/attack_patterns/#{attack_pattern.id}'>click me</span>"
        content_tag(:span,
            "Click",
            data: {
                action: 'click->attack-pattern#info',
                attack_pattern_url: "/attack/attack_patterns/#{attack_pattern.id}",
            }
        )
      end
    end
  end
end
