module ActiveAttack
  class Platform < ApplicationRecord
    has_many :attack_patterns, :class_name => 'ActiveStix::AttackPattern', through: :platform_attack_pattern
    has_many :malware_platform
    has_many :malwares, :class_name => 'ActiveStix::Malware', through: :malware_platform

    def self.create_platform(plat_name)
      plat = find_or_create_by(name:plat_name)
      plat
    end

    def convert_to_json
      platform
    end
  end
end
