module ActiveAttack
  class Engine < ::Rails::Engine
    isolate_namespace ActiveAttack
    initializer "active_attack.assets.precompile" do |app|
      app.config.assets.precompile += %w( active_attack/playbooks.js active_attack/playbooks.css active_attack/logo.png)
      app.config.assets.paths << Rails.root.join("app", "assets", "images", "active_attack")
      app.config.assets.paths << Rails.root.join("app", "assets", "stylesheets", "active_attack")
    end

    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        config.paths["db/migrate"].expanded.each do |expanded_path|
          app.config.paths["db/migrate"] << expanded_path
        end
      end
    end

    initializer "active_attack.update_stix" do |app|
      engine_root = File.expand_path("../../..", __FILE__)
      Dir.glob(engine_root + "/app/overrides/**/*_override*.rb").each do |c|
        require c
      end
    end
  end
end
