ActiveStix::Malware.class_eval do
  has_many :builds, class_name: "ActiveAttack::Build", as: :buildable
  has_many :platforms, through: :builds, class_name: "ActiveAttack::Platform"
  def self.expected_keys
    [
        'description',
        'external_references',
        'object_marking_refs',
        'x_mitre_aliases',
        'x_mitre_platforms',
        'labels',
        'x_mitre_version'
    ]
  end


  def self.x_mitre_aliases(malware, obj)
      malware.aliases = obj['x_mitre_aliases']
  end

  def self.x_mitre_platforms(malware, obj)
    obj['x_mitre_platforms'].each do |plat|
      platform = ActiveAttack::Platform.create_platform(plat)
      malware.platforms << platform unless ActiveAttack::Build.find_by(platform_id: platform.id, buildable_id: malware.id)
    end
  end

  def self.labels(malware, obj)
    obj['labels'].each do |lab|
      label = ActiveStix::Label.ingest_label('malware', lab)
      malware.labels << label unless ActiveStix::Markup.find_by(labelable: malware, label: label)
    end
  end

  def self.x_mitre_version(malware, obj)
    # todo
    # version = ActiveAttack::Version.create_version(obj['x_mitre_version'])
    # malware.versions << version unless ActiveAttack::MalwareVersion.find_by(version_id: version.id, malware_id: malware.id)
  end
end
